package se.chalmers.tdv.test;

import static org.junit.Assert.*;

import org.junit.Test;

import se.chalmers.tdv.main.DNF;

public class DNFTest {

	// ---- (c) ----
	
	public void test_empty(){
		int[] arr = {} ;
		int[] exp_out = {} ;
		
		DNF.dnfsort(arr);
		
		assertArrayEquals(arr,exp_out);
	}

	@Test
	public void test1(){
		int[] arr = {1} ;
		int[] exp_out = {1} ;
		
		DNF.dnfsort(arr);
		
		assertArrayEquals(arr,exp_out);
	}

	@Test
	public void test2(){
		int[] arr = {2} ;
		int[] exp_out = {2} ;
		
		DNF.dnfsort(arr);
		
		assertArrayEquals(arr,exp_out);
	}	
	
	@Test
	public void test3(){
		int[] arr = {3} ;
		int[] exp_out = {3} ;
		
		DNF.dnfsort(arr);
		
		assertArrayEquals(arr,exp_out);
	}
	
	@Test
	public void test11(){
		int[] arr = {1,1} ;
		int[] exp_out = {1,1} ;
		
		DNF.dnfsort(arr);
		
		assertArrayEquals(arr,exp_out);
	}
	
	@Test
	public void test21(){
		int[] arr = {2,1} ;
		int[] exp_out = {1,2} ;
		
		DNF.dnfsort(arr);
		
		assertArrayEquals(arr,exp_out);
	}
	
	@Test
	public void test31(){
		int[] arr = {3,1} ;
		int[] exp_out = {1,3} ;
		
		DNF.dnfsort(arr);
		
		assertArrayEquals(arr,exp_out);
	}
	
	// ---- (d) && (e) ----
	// The tests cases test1, test2, and test3 are enough to accomplish 
	// both statement and branch coverage.
	
	//---- (f) ----
	@Test
	public void test132(){
		int[] arr = {1,3,2} ;
		int[] exp_out = {1,2,3} ;
		
		DNF.dnfsort(arr);
		
		assertArrayEquals(arr,exp_out);
	}
	//etc
	
	
}
