package se.chalmers.tdv.test;

import static org.junit.Assert.*;

import org.junit.Test;

import se.chalmers.tdv.main.ExFour;

public class ExFourTest {

	// (A1,B2,A2,C1,D1,E1)
	@Test
	public void test1() {
		Integer[] arr = {null};
		Integer[] exp_output = {new Integer(1)} ;
		
		ExFour.f(new Integer(1), arr);
		
		assertArrayEquals(arr,exp_output);
	}

	//(A1,B1,C2)
	@Test
	public void test2() {
		Integer[] arr = {new Integer(1)};
		Integer[] exp_output = {new Integer(1)} ;
		
		ExFour.f(new Integer(1), arr);
		
		assertArrayEquals(arr,exp_output);
	}
	
	//(A1,B2,A1,B2,A2,C1,D1,E2,D1,E1)
	@Test
	public void test3() {
		Integer[] arr = {new Integer(2), null};
		Integer[] exp_output = {new Integer(2),new Integer(1)} ;
		
		ExFour.f(new Integer(1), arr);
		
		assertArrayEquals(arr,exp_output);
	}
	
	//(A1,B2,A1,B2,A2,C1,D1,E1)
	@Test
	public void test4() {
		Integer[] arr = {null, new Integer(2)};
		Integer[] exp_output = {new Integer(1), new Integer(2)} ;
		
		ExFour.f(new Integer(1), arr);
		
		assertArrayEquals(arr,exp_output);
	}
	
	//(A1,B2,A1,B1,C2)
	@Test
	public void test5() {
		Integer[] arr = {new Integer(2), new Integer(1)};
		Integer[] exp_output = {new Integer(2), new Integer(1)};
		
		ExFour.f(new Integer(1), arr);
		
		assertArrayEquals(arr,exp_output);
	}	
}
